## org.codehaus.groovy.grails.web.json.parser
Class JsonParserTokenManager

    java.lang.Object
      org.codehaus.groovy.grails.web.json.parser.JsonParserTokenManager

All Implemented Interfaces:
  JsonParserConstants

    public class JsonParserTokenManager

extends Object
implements JsonParserConstants

Token Manager.

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`PrintStream` `debugStream` Debug output.
`(package private) int` `defaultLexState`
`protected SimpleCharStream` `input_stream`
`(package private) static long[]` `jjbitVec0`
`(package private) static long[]` `jjbitVec2`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`static int[]` `jjnewLexState` Lex State array.
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`static String[]` `jjstrLiteralImages` Token literal values.
`(package private) static long[]` `jjtoMore`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoToken`
`static String[]` `lexStateNames` Lexer state names.

Fields inherited from interface org.codehaus.groovy.grails.web.json.parser.JsonParserConstants
`CHAR, CNTRL_ESC, DEFAULT, DIGITS, DOUBLE_QUOTE_LITERAL, E, ENDQUOTE, EOF, ESC_STATE, ESCAPE_CHAR, HEX, HEX_CHAR, HEX_ESC, HEX_STATE, QUOTE, SINGLE_QUOTE_LITERAL, STRING_STATE, tokenImage, UNICODE_CHAR`

Constructor Summary
`JsonParserTokenManager(SimpleCharStream stream)` Constructor.
`JsonParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

  Debug output.

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec2

    static final long[] jjbitVec2

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoMore

    static final long[] jjtoMore

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### JsonParserTokenManager

    public JsonParserTokenManager(SimpleCharStream stream)

  Constructor.

### JsonParserTokenManager

    public JsonParserTokenManager(SimpleCharStream stream,
                                  int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Copyright (c) 2005-2009 The Grails project